Ask Your Question
0

Updating OpenNI and NITE version

asked 2012-02-05 08:40:19 -0600

bkx gravatar image

updated 2016-10-24 09:01:09 -0600

ngrennan gravatar image

I'm using the Kinect for person tracking, and I have encountered a bug where OpenNI causes a segmentation fault when many objects move in/out of the frame. I did some research and it looks like the bug (below) was fixed in a newer version of OpenNI/NITE.

Program received signal SIGSEGV, Segmentation fault.
0x00007fffe23b374d in Segmentation::checkOcclusion(int, int, int, int) () from /usr/lib/libXnVFeatures.so
(gdb)

My question is, how can I safely update OpenNI to the latest version to work within the ROS framework?

Thanks for the help!

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
1

answered 2012-02-06 12:53:50 -0600

bkx gravatar image

Well I'm not sure that I fixed the problem, but I haven't seen the segfault since updating to the latest stable OpenNI binaries here

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2012-02-05 08:40:19 -0600

Seen: 394 times

Last updated: Feb 06 '12